Bug 14292 - Different filename suggested when saving image from Gmail using context menu versus File menu
Summary: Different filename suggested when saving image from Gmail using context menu ...
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 523.x (Safari 3)
Hardware: PC Windows XP
: P2 Normal
Assignee: Nobody
URL: http://gmail.com
Keywords: GoogleBug, InRadar, PlatformOnly
Depends on:
Blocks:
 
Reported: 2007-06-21 13:08 PDT by Cameo Wood
Modified: 2015-03-20 14:20 PDT (History)
2 users (show)

See Also:


Attachments
test case (serve with Apache) (30.41 KB, application/octet-stream)
2007-11-01 03:03 PDT, Alexey Proskuryakov
no flags Details
inline test case (serve with Apache) (30.40 KB, application/octet-stream)
2007-11-01 04:28 PDT, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cameo Wood 2007-06-21 13:08:52 PDT
Summary: 
Saving an image mailed to you via gmail has different behaviors for each option Gmail presents, and some don't work at all.  Other times, the extension isn't added, making the image not viewable unless the user renames the file.

Steps to Reproduce: 
From inside a gmail with a photo attachment
1. Click on the download button.
2. The page advances to the image with some hash in the url
3. Both right clicking the image and "save as" or "save to desktop" allows you to save the image as "mail" with no extention. This file is viewable if you add the .jpg extension.
4. Going to "File"->"Save as" allows you to save the image using the original name and the correct extension.

Expected Results: 
That Safari should offer to save the image with the original name and extension using "save image as" "save as" and "save to desktop"

Actual Results: 
The file is saved as "mail" with no extension, and is not usable without the user manually adding an extension

Regression: 
I don't think it ever worked in WinSafari- works in IE/FF
Comment 1 Adam Roben (:aroben) 2007-08-19 22:17:23 PDT
Sounds like we've got two bugs here:

1) Clicking the "Download" link below an image in Gmail navigates to the image instead of starting a download.
2) The behavior of saving from the context menu vs. saving from the File menu is different once you've navigated to that image.

(1) is now represented by bug 15016
Comment 2 Adam Roben (:aroben) 2007-08-19 22:17:53 PDT
<rdar://problem/5421964>
Comment 3 Adam Roben (:aroben) 2007-08-27 02:31:14 PDT
<rdar://problem/5439363>
Comment 4 Alexey Proskuryakov 2007-11-01 03:03:07 PDT
Created attachment 16979 [details]
test case (serve with Apache)
Comment 5 Alexey Proskuryakov 2007-11-01 04:28:39 PDT
Created attachment 16980 [details]
inline test case (serve with Apache)

While this issue per se is purely academic (it won't happen after bug 15016 is fixed), filename specified in "Content-Disposition: inline" doesn't work correctly either.
Comment 6 Alexey Proskuryakov 2007-11-22 02:59:10 PST
It seems that Safari doesn't call WebKit before to get the file name when saving an image via context menu - at least, I couldn't catch any calls with breakpoints.
Comment 7 Alexey Proskuryakov 2008-01-08 04:20:13 PST
The bug as seen on Google is fixed in bug 15016. The problem with Content-Disposition: inline remains, and will be tracked in Radar. Re-opening to close as INVALID.